---
title: Delete a maintenance window
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Case Management
---

# Delete a maintenance window{% #delete-a-maintenance-window %}

{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                            |
| ----------------- | --------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/maintenance_windows/{maintenance_window_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/maintenance_windows/{maintenance_window_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/maintenance_windows/{maintenance_window_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/maintenance_windows/{maintenance_window_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/maintenance_windows/{maintenance_window_id}  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/maintenance_windows/{maintenance_window_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/maintenance_windows/{maintenance_window_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/maintenance_windows/{maintenance_window_id} |

### Overview

Permanently deletes a maintenance window.

OAuth apps require the `event_correlation_config_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#case-management) to access this endpoint.



### Arguments

#### Path Parameters

| Name                                    | Type   | Description                         |
| --------------------------------------- | ------ | ----------------------------------- |
| maintenance_window_id [*required*] | string | The UUID of the maintenance window. |

### Response

{% tab title="204" %}
No Content
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export maintenance_window_id="a1b2c3d4-e5f6-7890-abcd-ef1234567890" \# Curl command curl -X DELETE "https://api.datadoghq.com/api/v2/maintenance_windows/${maintenance_window_id}" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
